﻿B4J=true
Group=Default Group
ModulesStructureVersion=1
Type=StaticCode
Version=8.95
@EndOfDesignText@
'Static code module
Sub Process_Globals	
	Public vuetify As VuetifyApp
	Public home As VueComponent
	Public path As String
	Public name As String = "home"
	Public banano As BANano
	Private loginDialog As VDialog
	Private txtpassword As VTextField
	Private txtusername As VTextField
	Public TEST As Boolean = False
End Sub

Sub Initialize
	'establish a reference to the app
	vuetify = pgIndex.vuetify
	'initialize the component
	home.Initialize(Me, name)
	home.vuetify = vuetify
	'make this the start page
	home.Path = "/"
	path = home.path
	'
	'build the page html here
	banano.LoadLayout(home.Here, "home")
	'load the login details inside the dialog
	'get the card text area of the dialog
	Dim ldText As String = loginDialog.CardText.here
	'load the login details to the card text area
	banano.LoadLayoutAppend(ldText, "logindetails")
	
	'bind the input controls
	home.BindVueElement(txtpassword.VElement)
	home.BindVueElement(txtusername.VElement)
	home.BindVueElement(loginDialog.VElement)
	'
	'show the dialog when page is created
	vuetify.SetCreated(Me, "oncreated", Null)
	vuetify.SetData("authenticated", False)
	'add this route component to the app
	vuetify.AddRoute(home)
End Sub	

'when the instance is created
Sub oncreated
	'clear the user details
	home.SetData("user", home.NewMap)
	'user is not authenticated
	vuetify.SetData("authenticated", False)
	'the dialog should appear
	loginDialog.UpdateVisible(home, True)
	 txtpassword.Text="admin" 
	txtusername.Text="admin"
End Sub

Private Sub loginDialog_ok_click (e As BANanoEvent)
	'sign up
	vuetify.ShowSwalToastInfo("Under development...", 1000)
End Sub

Private Sub loginDialog_cancel_click (e As BANanoEvent)
	'sign in
	'get the user details as a map
	Dim user As Map = home.GetData("user")
	Dim susername As String = user.Get("username")
	Dim spassword As String = user.Get("password")
	'
	susername = susername.Trim
	spassword = spassword.Trim
	'
	If spassword = "admin" And spassword = "admin" Then
		'only authenticate users when these match
		vuetify.SetData("authenticated", True)
		TEST=True
		vuetify.Authenticated=True
		vuetify.NavigateTo("/one")
	Else
		vuetify.SetData("authenticated", False)
		vuetify.ShowSwalError("The login details could not be verified!")
		loginDialog.UpdateVisible(home, True)
	End If
End Sub